## cargo 0.20.0-2ubuntu3~16.04.1+8.0trisquel1

=== debian/changelog ===
cargo (0.20.0-2ubuntu3~16.04.1+8.0trisquel1) flidas; urgency=medium

  * Backported from http://ppa.launchpad.net/ubuntu-mozilla-
    security/ppa/ubuntu

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 17 Nov 2017 00:29:08 +0000

cargo (0.20.0-2ubuntu3~16.04.1) xenial; urgency=medium

  * Backport 0.20.0 to xenial

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Oct 2017 14:15:08 +0100

cargo (0.20.0-2ubuntu3) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
      than that found in Ubuntu. Do this in debian/ rather than just not
      omitting it from the tarball so that we can share Debian's tarball
      + add debian/libgit2
      + update debian/control
      + update debian/rules
      + update debian/copyright
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x yet
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Oct 2017 00:47:24 +0100

cargo (0.20.0-2) unstable; urgency=medium

  * Work around #865549, fixes FTBFS on ppc64el.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 15:47:55 +0200

cargo (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix cross-compiling declarations, Multi-Arch: foreign => allowed
  * Un-embed libgit2 0.25.1 again. (Closes: #860990)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Aug 2017 19:13:00 +0200

cargo (0.17.0-2) unstable; urgency=medium

  * Re-embed libgit2 0.25.1 due to the Debian testing freeze. It will be
    removed again after the freeze is over, when libgit2 0.25.1 can again
    enter Debian unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 May 2017 16:56:03 +0200

cargo (0.17.0-1) unstable; urgency=medium

  * Upload to unstable so we have something to build rustc 1.17.0 with.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 May 2017 11:24:08 +0200

cargo (0.17.0-1~exp3) experimental; urgency=medium

  * Add git to Build-Depends to fix FTBFS.
  * Mention cross-compiling in the previous changelog entry.

 -- Ximin Luo <infinity0@debian.org>  Tue, 02 May 2017 13:18:53 +0200

cargo (0.17.0-1~exp2) experimental; urgency=medium

  * Bring in some changes from Ubuntu.
    - Rename deps/ to vendor/ as that's what upstream uses, and update
      other files with the new paths too.
    - Remove cargo-vendor-unpack since we no longer need to postprocess
      cargo-vendor output in that way.
  * Document that bootstrap.py probably doesn't work now.
  * Include /usr/share/rustc/architecture.mk in d/rules instead of duplicating
    awkward arch-dependent Makefile snippets.
  * Don't embed libgit2, add a versioned B-D to libgit2-dev.
  * Add support for cross-compiling bootstrap.

 -- Ximin Luo <infinity0@debian.org>  Mon, 01 May 2017 20:49:45 +0200

cargo (0.17.0-1~exp1) experimental; urgency=medium

  * New upstream release. (Closes: #851089, #859312)

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Apr 2017 03:16:04 +0200
