## cargo 0.22.0

=== debian/changelog ===
cargo (0.22.0-0ubuntu1) bionic; urgency=medium

  * Update to 0.22.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop debian/patches/fix-libc-build-on-s390x.patch - fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Oct 2017 17:09:43 +0100

cargo (0.21.1-1ubuntu1) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
      than that found in Ubuntu. Do this in debian/ rather than just not
      omitting it from the tarball so that we can share Debian's tarball
      + add debian/libgit2
      + update debian/control
      + update debian/rules
      + update debian/copyright
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules
    - Backport an upstream fix for the libc crate to hopefully fix the s390x
      build
      - add debian/patches/fix-libc-build-on-s390x.patch
      - update debian/patches/series
      - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Oct 2017 14:35:33 +0100

cargo (0.21.1-1) experimental; urgency=medium

  * debian/control:
    + Add myself as uploader for cargo package.
    + Mark package compliance with Debian Policy 4.1.0.
  * Mark tables.rs from unicode-normalization as unsuspicious.
  * Ignore sublime workspace file from hex crate.
  * debian/copyright:
    + Drop wildcards representing the old crates under vendor folder.
    + Add copyright information for newer crates under vendor
    + Add ARCHITECTURE.* to copyright.
  * debian/patches:
    + Rename patches to follow patch naming guidelines mentioned in
      debian/patches/README.
    + Add patch 1001 to fix spelling errors in cargo output messages.
    + Make patch 2003 DEP-3 compliant.
    + Adjust make_orig_multi.sh to renamed clean-cargo-deps.patch

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 23 Sep 2017 10:41:07 +0530
