=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
- Ximin Luo <infinity0@debian.org>
+ Ximin Luo <infinity0@debian.org>,
+ Vasudev Kamath <vasudev@copyninja.info>
 Priority: extra
-#  annotations are to support cross-compiling, see README.Debian of rustc
+# :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
 # TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
 # the non-native lines can be deleted after all versions in unstable are M-A: allowed
                cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
-               cargo    (>= 0.17.0) <!pkg.cargo.mkstage0>,
-               rustc    (>= 1.16),
+               cargo:native    (>= 0.17.0) <!pkg.cargo.mkstage0>,
+               rustc:native    (>= 1.16),
                libstd-rust-dev (>= 1.16),
                pkg-config,
                cmake,
@@ -27,7 +28,7 @@
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
