=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-	debian/scripts/prune-checksums vendor/libgit2-sys-*/
+	debian/scripts/prune-checksums vendor/libc-*/
 # XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
 	cp -a debian/libgit2 vendor/libgit2-sys-0.6.12/
