## cargo 0.23.0

=== debian/changelog ===
cargo (0.23.0-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:51 +0000

cargo (0.23.0-0ubuntu1) bionic; urgency=medium

  * Update to 0.23.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_fix_spelling_errors.patch
    - update debian/patches/series
  * Don't strip libgit2 from the tarball
    - update debian/vendor-tarball-filter.txt
    - remove debian/libgit2
    - update debian/rules
    - update debian/copyright
  * Don't depend on mdbook when generating the documentation, as nothing in
    the archive provides it and it isn't needed
    - add debian/patches/dont-depend-on-mdbook.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Nov 2017 16:22:38 +0000
