## cargo 0.24.0

=== debian/changelog ===
cargo (0.24.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 07 Feb 2018 18:12:25 +0000

cargo (0.24.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 27 Jan 2018 10:41:06 +0100

cargo (0.24.0-1~exp1) experimental; urgency=medium

  [upstream]
  * Supports uninstallation of multiple crates.
  * `cargo check` unit testing.
  * Install  a specific version using `cargo install --version`

  [ Vasudev Kamath ]
  * Update vendor-tarball-unsuspicious.txt vendor-tarball-filter.txt for
    new upstream release.
  * debian/control:
    + Mark package compliance with Debian Policy 4.1.3.
  * debian/patches:
    + Update patch 2001 to work with libgit2-sys-0.6.19.
    + Update 1002 patch to drop url crate specific hunk as its merged
      upstream.
    + Add patch 0001 to fix bad_git_dependency test failure.
  * debian/copyright:
    + Add new vendor crates to copyright.
    + Track rustfmt.toml in top level copyright section.
  * Add lintian-override for ignoring README from
    patch-file-present-but-not-mentioned-in-series tag.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 25 Jan 2018 14:57:43 +0530

cargo (0.23.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Mark package as compliant with Debian Policy 4.1.2.
    No change required to source.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 10 Dec 2017 15:33:55 +0530

cargo (0.23.0-1~exp1) experimental; urgency=medium

  * [upstream]
    + Cargo will now build multi file examples in subdirectories of the
      examples folder that have a main.rs file.
    + Changed [root] to [package] in Cargo.lock. Old format packages will
      continue to work and can be updated using cargo update.
    + Supports vendoring git repositories.
  * Refresh patch 2004 for new release.
  * Audit logo.svg file from termion crate.
  * debian/patches:
    + Drop patch 1001, its merged upstream.
    + Refresh patch 2002 with new upstream changes.
    + Refresh patch 2001 with newer libgit2-sys changes.
    + Add patch 2005 to prevent executing non-existing mdbook command
      during build.
    + Move part of typo fix for url crate to patch 1001 to 1002. url crate
      is not updated in new cargo release.
  * debian/copyright:
    + Remove copyright for gcc crate.
    + Add copyright information for cc, commoncrypto, crypto-hash,
      redox_syscall. redox_termios and termion crate.
    + Add CONTRIBUTING.md to top Files section.
    + Drop magnet-sys from copyright.


 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 05 Dec 2017 22:03:49 +0530

cargo (0.22.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Can now install multiple crates with cargo install.
    + cargo commands inside a virtual workspace will now implicitly pass
      --all.
    + Added [patch] section to Cargo.toml to handle prepublication
      dependencies RFC 1969.
    + include and exclude fields in Cargo.toml now accept gitignore like
      patterns.
    + Added --all-target option.
    + Using required dependencies as a feature is now deprecated and emits
      a warning.
  * Put upstream PR url for patch 1001.
  * Add conv crate file to unsuspicious files.
  * debian/patches:
    + Refresh patches 1001, 2002 and 2004 with new upstream release.
    + Fix typo in cargo search command and related tests.
  * debian/control:
    + Mark package compliance with Debian Policy 4.1.1.
    + Mark priority for package as optional from extra. Priority extra is
      deprecated from Debian Policy 4.0.1.
  * debian/copyright:
    + Add newly added vendor copyright information.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 29 Oct 2017 19:50:42 +0530

cargo (0.21.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Oct 2017 23:30:46 +0200
