=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Priority: extra
+Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
@@ -22,14 +21,13 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-# Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#               libgit2-dev (>= 0.25.1.0),
+               libgit2-dev (>= 0.25.1.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
