=== debian/rules ===
--- 
+++ 
@@ -37,16 +37,14 @@
 	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion
 
 override_dh_auto_configure:
-	cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
+	# cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
 ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
 	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
 else
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-	debian/scripts/prune-checksums vendor/libc-*/
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	cp -a debian/libgit2 vendor/libgit2-sys-0.6.12/
+	debian/scripts/prune-checksums vendor/libgit2-sys-*/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -90,8 +88,6 @@
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
 			$(CURDIR)/cargo-stage0
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	-$(RM) -rf vendor/libgit2-sys-0.6.12/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these
