=== debian/changelog ===
cargo (0.25.0-3~deb9u1) stretch; urgency=medium

  * Backport to stretch for Firefox ESR60.
  * Embed libgit2 0.25.1.

 -- Julien Cristau <jcristau@mozilla.com>  Thu, 26 Jul 2018 14:35:40 +0200

cargo (0.25.0-3) unstable; urgency=medium

  [ Ximin Luo ]
  * Update Vcs-* fields to salsa

  [ Vasudev Kamath ]
  * Add patch to prevent incremental builds on sparc64.
    Closes: bug#895300, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 15 Apr 2018 12:28:29 +0530

cargo (0.25.0-2) unstable; urgency=medium

  [ Ximin Luo ]
  * Depend on rustc 1.24 or later.
  * Backport a patch to not require dev-dependencies when not needed.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 22 Mar 2018 20:08:17 +0530

cargo (0.25.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 09 Mar 2018 21:09:38 +0530

cargo (0.25.0-1~exp2) experimental; urgency=medium

  * Disable test running on powerpc and powerpcspe for now. Will be
    enabled once issue in test suites are fixed.
    Request from John Paul Adrian Glaubitz in IRC.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 25 Feb 2018 10:27:23 +0530

cargo (0.25.0-1~exp1) experimental; urgency=medium

  [upstream]
  * Added a workspace.default-members config that overrides implied --all
    in virtual workspaces.
  * Enable incremental by default on development builds.

  [ Vasudev Kamath ]
  * debian/vendor-tarball-filter.txt: Filter out git test data from
    libgit2-sys crate.
  * debian/vendor-tarball-unsusupiciousAudit unsuspicious files for 0.25.0
    release.
  * debian/make_orig_multi.sh: Make sure we take filter and unsuspiciaus
    texts from debian folder.
  * debian/patches:
    + Drop patch 0001 it is merged upstream.
    + Fix the typo in description of patch 2006.
  * Drop source/lintian-override. README under patches directory is no
    longer considered as a patch file by lintian.
  * debian/copyright:
    + Drop unused vendor crates copyright information.
    + Add new crates copyright information to copyright.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 24 Feb 2018 14:43:48 +0530
