=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
+               python-dulwich           <pkg.cargo.mkstage0>,
+               python-pytoml            <pkg.cargo.mkstage0>,
 # TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
 # the non-native lines can be deleted after all versions in unstable are M-A: allowed
                cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
@@ -21,21 +23,21 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.25.1.0),
+#               libgit2-dev (>= 0.25.1),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
+Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
+Vcs-Browser: https://salsa.debian.org/rust-team/cargo
 
 Package: cargo
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         rustc (>= 1.1),
+         rustc (>= 1.24),
          binutils,
          gcc | clang | c-compiler
 Suggests: cargo-doc, python3
