=== debian/rules ===
--- 
+++ 
@@ -31,20 +31,47 @@
   SYSTEM_WORKAROUNDS += ulimit -s $$(expr $$(getconf PAGESIZE) / 1024 '*' 256 + 8192);
 endif
 
-HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)
+# Disable tests on powerpc and powerpcspe for now.
+# cbmuser requested this and will fix the errors later
+# TODO: once powerpc powerpcspe test failures are fixed drop this
+ifeq ($(DEB_HOST_ARCH), powerpc)
+	DEB_BUILD_PROFILES = nocheck
+endif
+
+ifeq ($(DEB_HOST_ARCH), powerpcspe)
+	DEB_BUILD_PROFILES = nocheck
+endif
 
 %:
 	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion
 
 override_dh_auto_configure:
 	# cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
-ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
-	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
+ifneq ($(filter pkg.cargo.mkstage0,$(DEB_BUILD_PROFILES)),)
+	# NOTE: this very likely doesn't work any more, see bootstrap.py for details
+	# Instead, you can try to bootstrap by setting PATH to a binary cargo
+	# downloaded from upstream; or by cross-compiling, see "build-cross" below
+	# Preserved in case someone wants to resurrect it later:
+	# Bootstrap cargo stage0
+	./debian/bootstrap.py \
+		--no-clean \
+		--no-clone \
+		--no-git \
+		--no-download \
+		--crate-index $(CURDIR)/vendor/index / \
+		--cargo-root $(CURDIR)/ \
+		--target-dir $(CURDIR)/deps \
+		--host=$(DEB_HOST_RUST_TYPE) \
+		--target=$(DEB_TARGET_RUST_TYPE)
+	# Workaround for https://github.com/rust-lang/cargo/issues/1423
+	ln -s `find $(CURDIR)/deps -name 'cargo-*' -type f -executable` $(CURDIR)/cargo-stage0
 else
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
 	debian/scripts/prune-checksums vendor/libgit2-sys-*/
+# TODO: rm after the freeze
+	cp -a debian/libgit2 vendor/libgit2-sys-0.6.19/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -58,21 +85,10 @@
 	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
 endif
 
-RUN_TESTS = \
-	if $(1); then \
-	  : ; \
-	elif $(DEB_HOST_ARCH) != "s390x"; then \
-	  false; \
-	else \
-	  echo "======================================================"; \
-	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
-	  echo "======================================================"; \
-	fi
-
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS))
+	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS)
 endif
 endif
 
@@ -87,7 +103,10 @@
 			$(CURDIR)/config.mk \
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
+			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
+# TODO: rm after the freeze
+	-$(RM) -rf vendor/libgit2-sys-0.6.6/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these
