=== debian/changelog ===
cargo (0.26.0-0ubuntu2~17.10.1) artful; urgency=medium

  * Backport 0.26.0 to artful

  * Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
    than that found in Ubuntu. Do this in debian/ rather than just not
    omitting it from the tarball so that we can share Debian's tarball
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Apr 2018 16:25:48 +0100

cargo (0.26.0-0ubuntu2) bionic; urgency=medium

  * Fix missing quotes in debian/rules, which resulted in all test failures
    being ignored
  * Update a test to not clone the real index, as this doesn't work in
    Launchpad builds
    - add debian/patches/use-local-index-in-tests.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Apr 2018 15:38:39 +0100

cargo (0.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (0.26.0)

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are no longer needed or fixed upstream
    - remove debian/patches/2003_local-jquery.patch
    - remove debian/patches/1002_fix_typo_cargo_search.patch
    - remove debian/patches/2005_dont_run_mdbook.patch
    - remove debian/patches/2006_disable_wasm32_tests.patch
    - update debian/patches/series
  * Drop an extra step which is no longer needed when building the
    documentation now
    - update debian/rules
  * Drop the unneeded dependency on libjs-jquery from cargo-doc
    - update debian/control
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Apr 2018 18:52:29 +0100

cargo (0.25.0-1ubuntu1) bionic; urgency=medium

  [ Rico Tzschichholz ]
  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Mar 2018 18:02:48 +0000
