## cargo 0.27.0

=== debian/changelog ===
cargo (0.27.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (0.27.0)
  * Refresh patches
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2002_disable-net-tests.patch
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_PR5012.patch
    - remove debian/patches/use-local-index-in-tests.patch
    - update debian/patches/series

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      + update debian/control
      + update debian/rules
    - Update a test to not clone the real index, as this doesn't work in
      Launchpad builds
      + add debian/patches/use-local-index-in-tests.patch
      + update debian/patches/2002_disable-net-tests.patch to not disable the
        test
      + update debian/patches/series
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules
    - Add "#[allow(dead_code)]" to commented out test functions so that
      compilation doesn't fail
      + update debian/patches/2002_disable-net-tests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 May 2018 22:20:39 +0100

cargo (0.26.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 01 May 2018 13:02:05 +0530

cargo (0.26.0-1~exp1) experimental; urgency=medium

  [upstream]
  * cargo new now defaults to create binary crate instead of library
    crate.
  * cargo new will no longer name crates with name starting with rust- or
    ending with -rs.
  * cargo doc is faster as it uses cargo check instead of full rebuild.

  [Vasudev Kamath]
  * Refresh the patch 2004 against newer Cargo.toml
  * Mark package compliance with Debian Policy 4.1.4
  * debian/patches:
    + Drop patch 2003 and 2005, the doc should be built from source using
      mdbook.
    + Drop patch 2006, the wasm32 related test seems to be dropped
      upstream.
    + Drop patch 1002, merged upstream.
    + Add tests/generate_lock_file.rs to patch 2002 to disable
      no_index_update test, this tries to access network.
    + Refresh patch 1001 with new upstream release.
  * debian/rules: disable execution of src/ci/dox.sh, this script is no
    longer present in new release.
  * debian/copyright:
    + Add copyright for humantime crate.
    + Add copyright for lazycell crate.
    + Add copyright for quick-error crate
    + Add copyright for proc-macro2 crate.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 21 Apr 2018 20:59:39 +0530
