=== debian/control ===
--- 
+++ 
@@ -22,22 +22,21 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-# Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#               libgit2-dev (>= 0.25.1.0),
+               libgit2-dev (>= 0.25.1.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
+Vcs-Browser: https://salsa.debian.org/rust-team/cargo
 
 Package: cargo
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         rustc (>= 1.1),
+         rustc (>= 1.24),
          binutils,
          gcc | clang | c-compiler
 Suggests: cargo-doc, python3
