=== debian/rules ===
--- 
+++ 
@@ -55,8 +55,7 @@
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	cp -a debian/libgit2 vendor/libgit2-sys-0.6.19/
+	debian/scripts/prune-checksums vendor/libgit2-sys-*/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -64,12 +63,16 @@
 override_dh_auto_build-indep:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	$(CARGO) doc $(CARGOFLAGS)
+	# Extra instructions from README.md, unfortunately not done by "cargo doc"
+	# sh src/ci/dox.sh
+	# Post-processing for Debian
+	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
 endif
 
 RUN_TESTS = \
 	if $(1); then \
 	  : ; \
-	elif "$(DEB_HOST_ARCH)" != "s390x"; then \
+	elif [ $(DEB_HOST_ARCH) != "s390x" ]; then \
 	  false; \
 	else \
 	  echo "======================================================"; \
@@ -95,9 +98,8 @@
 			$(CURDIR)/config.mk \
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
+			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	-$(RM) -rf vendor/libgit2-sys-0.6.12/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these
