## cargo 0.28.0

=== debian/changelog ===
cargo (0.28.0-0ubuntu1) cosmic; urgency=medium

  * Update to 0.28.0
  * Refresh patches
    - update debian/patches/2007_sparc64_disable_incremental_build.patch
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2008_support-cross-compile-install.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jul 2018 19:20:26 +0100

cargo (0.27.0-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      + update debian/control
      + update debian/rules
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      + update debian/control
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      + update debian/patches/2002_disable-net-tests.patch
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jun 2018 17:33:32 +0100

cargo (0.27.0-2) unstable; urgency=medium

  * Support cross-compile install (upstream PR #5614).

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Jun 2018 22:35:30 -0700

cargo (0.27.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jun 2018 20:42:13 +0530

cargo (0.27.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now output path to custom commands when -v is passed with
    --list.
  * Cargo binary version is now same as the Rust version.
  * Cargo.lock files are now included in published crates.

  [ Vasudev Kamath ]
  * Update  patch 2004 for the new release.
  * Add files from clap and vec_map to unsuspicious list.
  * debian/patches:
    + Update path to libgit2-sys in patch 2001.
    + Adjust file name and paths to test files to be patched in patch
      2002.
    + Drop all unused imports and comment out functions not just drop
      #[test] in patch 2002.
    + Drop patch 1001 as its now part of new cargo release.
    + Refresh patch 2007.
  * debian/copyright:
    + Update copyright information for new vendored crates.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Jun 2018 15:10:38 +0530

cargo (0.27.0-0ubuntu2) cosmic; urgency=medium

  * Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
    checkouts now, and it no longer builds against 0.25.1.0
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 May 2018 14:38:59 +0000
