=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.25.1.0),
+               libgit2-dev (>= 0.27.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
